#
# spec file for package perl-Pod-Readme
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Pod-Readme
Version:        1.2.3
Release:        1.25
%define cpan_name Pod-Readme
Summary:        Intelligently generate a README file from POD
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RR/RRWO/%{cpan_name}-v%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Changes) >= 0.30
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(Class::Method::Modifiers)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Getopt::Long::Descriptive)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::HandlesVia)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Pod::Simple::Text)
BuildRequires:  perl(Role::Tiny)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::Kit)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Type::Tiny) >= 1.000000
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(CPAN::Changes) >= 0.30
Requires:       perl(CPAN::Meta)
Requires:       perl(Class::Method::Modifiers)
Requires:       perl(File::Slurp)
Requires:       perl(Getopt::Long::Descriptive)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Module::CoreList)
Requires:       perl(Moo)
Requires:       perl(Moo::Role)
Requires:       perl(MooX::HandlesVia)
Requires:       perl(Path::Tiny)
Requires:       perl(Pod::Simple)
Requires:       perl(Role::Tiny)
Requires:       perl(Try::Tiny)
Requires:       perl(Type::Tiny) >= 1.000000
Requires:       perl(Types::Standard)
Requires:       perl(namespace::autoclean)
Recommends:     perl(Pod::Markdown)
Recommends:     perl(Pod::Markdown::Github)
Recommends:     perl(Pod::Simple::HTML)
Recommends:     perl(Pod::Simple::LaTeX)
Recommends:     perl(Pod::Simple::RTF)
Recommends:     perl(Pod::Simple::Text)
Recommends:     perl(Pod::Simple::XHTML)
Recommends:     perl(Type::Tiny::XS)
%{perl_requires}

%description
This module filters POD to generate a _README_ file, by using POD commands
to specify which parts are included or excluded from the _README_ file.

%prep
%setup -q -n %{cpan_name}-v%{version}
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes
%license LICENSE

%changelog
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.2.3
  see /usr/share/doc/packages/perl-Pod-Readme/Changes
  v1.2.3    2018-10-31 22:56:42+00:00 Europe/London
    [Bug Fixes]
  - Increased minimum version of Type::Tiny to 1.000000.
  v1.2.2    2018-10-31 22:41:45+00:00 Europe/London
    [Documentation]
  - Updated POD with regard to format types (Mohammad S Anwar).
  - Fixed typos in Changes.
    [Bug Fixes]
  - Added explicit requirements for Pod::Simple as well as recommended
    modules.
    [Toolchain]
  - Remove explicit core dependencies from prereqs list.
  - Updated list of contributors in distribution metadata. (Apologies
    if anyone was omitted.)
  v1.2.1    2018-10-30 18:23:48+00:00 Europe/London
    [Documentation]
  - Added note about Github Flavoured Markdown (GFM) support
    to Changes for v1.2.0.
    [Other]
  - Restore license to "Perl_5" that was inadvertently changed
    in the conversion to use Dist::Zilla, GH#25.
  v1.2.0    2018-10-29 19:24:01+00:00 Europe/London
    [Bug Fixes]
  - Specify minimum version of List::Util, GH#22.
    [Enhancements]
  - Added "md" as an alias for "markdown" in pod2readme.
  - Added "github" or "gfm" for Github Flavored Markdown in
    pod2readme, GH#15.
    [Incompatabilities]
  - Removed DistZilla type from Pod::Readme::Types, as it was not
    necessary.
    [Toolchain]
  - Remove use of Module::Install, fixes GH#21.
  - Use Dist::Zilla to build the distribution.
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.1.2
  see /usr/share/doc/packages/perl-Pod-Readme/Changes
* Fri Mar 14 2014 chris@computersalat.de
- fix for bnc#851647
  * /usr/bin/pod2readme not executable
* Fri Mar  4 2011 chris@computersalat.de
- update to version 0.11
  - Recognise the =encoding directive, rather than dying when it's
    encountered.
    TODO: actually take heed of it.
    Thanks to Ivan Bessarabov for bringing this to my attention!
- 0.10  2010-05-19
  - David Precious <davidp@preshweb.co.uk> taking over maintainership
  - Apply POD fix patch from RT #38328, thanks to David A. Desrosiers
- recreated by cpanspec 1.78.03
  - fix deps
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 27 2009 chris@computersalat.de
- initial pkg 0.09
